﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BeCleanQuest : BaseQuest
{
    public float hygieneThreshold;
    public static int lastCompleted = -10000;
    public int completionCooldown = 10; //game minutes

    public override bool CheckPrerequisites(PlayerManager playerManager)
    {
        if (CheckCoolDown())
        {
            if (playerManager.cleanManager.StatValue >= hygieneThreshold)
            {
                return true;
            }
        }
        return false;
    }
    
     protected override void QuestSuccess(PlayerManager playerManager)
     {
         BeCleanQuest.lastCompleted = TimeManager.instance.AbsoluteMinutes;
         base.QuestSuccess(playerManager);
     }

    public bool CheckCoolDown()
    {
        return (TimeManager.instance.AbsoluteMinutes > (BeCleanQuest.lastCompleted + completionCooldown));
    }
}
